﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using Wizard.UI;
using Footbreak.Properties;

namespace Footbreak.AddISOWizard
{
    public partial class SelectISO : Wizard.UI.InternalWizardPage
    {
        private ISOData mISOData;
        private HandbrakeCommandLine mHandbrake =
            new HandbrakeCommandLine( Settings.Default.HandbrakeLocation );

        public SelectISO( ISOData aISOData )
        {
            mISOData = aISOData;
            mHandbrake.mAddTitleEvent += new AddTitleDelegate( mHandbrake_mAddTitleEvent );
            mHandbrake.mCompletedEvent += new EventDelegate( mHandbrake_mCompletedEvent );
            InitializeComponent();
            return;
        }

        void mHandbrake_mCompletedEvent()
        {
            SelectISO_SetActive( null, null );
            if ( mISOData.HandbrakeTitles.Count == 0 )
            {
                textBox2.Text = "Could not read ISO; try selecting it again.";
            }
            return;
        }

        void mHandbrake_mAddTitleEvent( HandbrakeTitle aTitle )
        {
            mISOData.HandbrakeTitles.Add( aTitle );
            return;
        }

        private void SelectISO_SetActive( object sender, CancelEventArgs e )
        {
            if ( mISOData.HandbrakeTitles.Count > 0 )
            {
                textBox1.Text = mISOData.ISOPath;
                textBox2.Text = "";
                foreach ( HandbrakeTitle lTitle in mISOData.HandbrakeTitles )
                {
                    textBox2.Text += String.Format( "Title {0}: {1}\r\n", lTitle.Title,
                                                    lTitle.Length );
                }
                SetWizardButtons( WizardButtons.Back | WizardButtons.Next );
            }
            else
            {
                SetWizardButtons( WizardButtons.Back );
            }
            return;
        }

        private void button1_Click( object sender, EventArgs e )
        {
            if ( isoOpenFileDialog.ShowDialog() == DialogResult.OK )
            {
                mISOData.HandbrakeTitles.Clear();
                mISOData.ISOPath = isoOpenFileDialog.FileNames[0];
                mHandbrake.getTitles( isoOpenFileDialog.FileNames );
            }
            return;
        }
    }
}
