﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Xml.Linq;
using Wizard.UI;

namespace Footbreak.AddISOWizard
{
    public partial class SelectSeason : Wizard.UI.InternalWizardPage
    {
        class SeasonData
        {
            public uint Season { get; set; }

            public SeasonData( uint aSeason )
            {
                Season = aSeason;
            }

            public override string ToString()
            {
                return String.Format( "Season {0}", Season );
            }
        }
        private ISOData mISOData;
        public SelectSeason( ISOData aISOData )
        {
            mISOData = aISOData;
            InitializeComponent();
            return;
        }

        private void SelectSeason_SetActive( object sender, CancelEventArgs e )
        {
            if ( mISOData.SeasonNumber == 0 )
            {
                SetWizardButtons( WizardButtons.Back );
            }
            else
            {
                SetWizardButtons( WizardButtons.Next | WizardButtons.Back );
            }

            // Parse the series information for season info
            listBox1.Items.Clear();

            var lQuery = ( from s in mISOData.SeriesInformation.Descendants( "SeasonNumber" )
                           select s.Value ).Distinct();
            foreach ( var lSeason in lQuery )
            {
                uint lSeasonNumber;
                if ( UInt32.TryParse( lSeason, out lSeasonNumber ) )
                {
                    listBox1.Items.Add( new SeasonData( lSeasonNumber ) );
                }
            }
            return;
        }

        private void listBox1_SelectedIndexChanged( object sender, EventArgs e )
        {
            SeasonData lSeasonData = ( SeasonData )listBox1.SelectedItem;
            mISOData.SeasonNumber = lSeasonData.Season;
            SetWizardButtons( WizardButtons.Next | WizardButtons.Back );
            
            // Update description
            string lSeason = lSeasonData.Season.ToString();
            textBox1.Text = "";
            var lQuery = ( from s in mISOData.SeriesInformation.Descendants( "Episode" )
                           where s.Descendants( "SeasonNumber" ).First().Value == lSeason
                           orderby Int32.Parse( s.Descendants( "EpisodeNumber" ).First().Value )
                           select s );
            foreach ( var lEpisode in lQuery )
            {
                textBox1.Text += String.Format( "Episode {0}: {1}\r\n", lEpisode.Descendants( "EpisodeNumber" ).First().Value, lEpisode.Descendants( "EpisodeName" ).First().Value );
            }
            return;
        }
    }
}
